
struct cpu_stop {
	uint32_t	pc;
	uint8_t		event;
};

void execute_init(int32_t _memory_size, uint8_t *_memory, uint8_t *_stop_event, uint16_t *_chipreg, uint16_t (*_io_read)(uint32_t address), void (*_io_write)(uint32_t address, uint16_t value), const struct cpu_stop stop_at[]);
void reset_cpu(void);
int execute_cpu(int irq, int *event);

