extern unsigned int current_framebuffer;

int init_opengl_image(int _image_width, int _image_height);
int init_opengl_osd(int num, int _osd_width, int _osd_height);
void opengl_clear(int flip_y);
void opengl_set_size(int view_width, int view_height);
void opengl_viewport(int view_width, int view_height, int split, int benson_at_line, double fov, double benson_size); 
void opengl_blit_image(uint8_t *rgb, int filter, int benson_at_line, int render_benson_only, double fov, double monitor_distance, double benson_size, int benson_case);
void opengl_blit_osd(int num, uint8_t *rgba, int filter, int benson_at_line, double fov, double monitor_distnace, double benson_size, double scale_x, double scale_y, double offset_x, double offset_y);
void opengl_render_color(double r, double g, double b, double a);
void opengl_render_color_alpha(double r, double g, double b, double a);
void opengl_render_polygon(double *x, double *y, double *z, int count, int cull_face);
void opengl_render_polygon_and_line(double *x, double *y, double *z, int count);
void opengl_render_line(double x1, double y1, double z1, double x2, double y2, double z2, double size);
void opengl_render_point(double x, double y, double z, double size);
int init_shadow_buffer(int multisampling);
void begin_shadow_render(void);
void end_shadow_render(void);
void exit_opengl(void);

