
typedef struct stereo {
	float left, right;
} stereo_t;

void emulate_sound_write(uint32_t address, uint16_t value, int samplerate);
void render_sound(uint8_t *memory, stereo_t *sample, int buffer_size, int buffer_pos, int length, int filter);
void sound_init(int samplerate, void (*sound_irq)(void));

